Package org.apache.xmlbeans

## Class XmlRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xmlbeans.XmlRuntimeException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `SchemaTypeLoaderException`

      public class XmlRuntimeException
      extends RuntimeException

  An unchecked XML exception. May contain any number of `XmlError` objects.
  See Also:
    `XmlError`, `XmlException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlRuntimeException​(String m)` | Constructs an XmlRuntimeException from a message.
    `XmlRuntimeException​(String m, Throwable t)` | Constructs an XmlRuntimeException from a message and a cause.
    `XmlRuntimeException​(String m, Throwable t, Collection<XmlError> errors)` | Constructs an XmlRuntimeException from a message, a cause, and a collection of XmlErrors.
    `XmlRuntimeException​(String m, Throwable t, XmlError error)` | Constructs an XmlRuntimeException from a message, a cause, and an XmlError.
    `XmlRuntimeException​(Throwable t)` | Constructs an XmlRuntimeException from a cause.
    `XmlRuntimeException​(XmlError error)` | Constructs an XmlRuntimeException from an XmlError.
    `XmlRuntimeException​(XmlException xmlException)` | Constructs an XmlRuntimeException from an `XmlException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XmlError` | `getError()` | Returns the first `XmlError` that caused this exception, if any.
    `Collection<XmlError>` | `getErrors()` | Returns the collection of `XmlErrors` that caused this exception, if any.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlRuntimeException

          public XmlRuntimeException​(String m)

      Constructs an XmlRuntimeException from a message.

    - #### XmlRuntimeException

          public XmlRuntimeException​(String m,
                                     Throwable t)

      Constructs an XmlRuntimeException from a message and a cause.

    - #### XmlRuntimeException

          public XmlRuntimeException​(Throwable t)

      Constructs an XmlRuntimeException from a cause.

    - #### XmlRuntimeException

          public XmlRuntimeException​(String m,
                                     Throwable t,
                                     Collection<XmlError> errors)

      Constructs an XmlRuntimeException from a message, a cause, and a collection of XmlErrors.

    - #### XmlRuntimeException

          public XmlRuntimeException​(XmlError error)

      Constructs an XmlRuntimeException from an XmlError.

    - #### XmlRuntimeException

          public XmlRuntimeException​(String m,
                                     Throwable t,
                                     XmlError error)

      Constructs an XmlRuntimeException from a message, a cause, and an XmlError.

    - #### XmlRuntimeException

          public XmlRuntimeException​(XmlException xmlException)

      Constructs an XmlRuntimeException from an `XmlException`.

  - ### Method Detail

    - #### getError

          public XmlError getError()

      Returns the first `XmlError` that caused this exception, if any.

    - #### getErrors

          public Collection<XmlError> getErrors()

      Returns the collection of `XmlErrors` that caused this exception, if any.